Subject: Re: [Sigtran] I-D ACTION:draft-ietf-sigtran-iua-imp-guide-01.txt

From: [email-masked]
Date: Thu, 25 Jul 2002 17:54:27 +0300

Ken,
you can also put Note as it done in M3UA (see reply from Tolga).

Thanks,
Lev

                      Ken Morneault                                                                        
                      <kmorneau@cisco.         To:      [email-masked]                             
                      com>                     cc:      [email-masked],                  
                                               [email-masked], [email-masked]               
                      25/07/02 15:46           Subject: Re: [Sigtran] I-D                                  
                                               ACTION:draft-ietf-sigtran-iua-imp-guide-01.txt              

Lev,

Pls see below.

Ken

At 08:49 AM 7/25/2002 +0300, [email-masked] wrote:

>Ken,
>
>the diagrams in other UA drafts also do not follow the "must" requirement
>to notify: NTFY(AS-INACTIVE) never shown on them.

Yes, the other UAs need to be updated also.  This goal of this subsection
in the IG is to fix the diagrams in IUA.

>What diagram you consider as a right one? Is it the last at the bottom of
>this mail or like in other UA drafts?

The diagram at the bottom of the email.

>I think the best solution (# 1) (specially for LDSHR mode) would be to
send
>NTFY(AS-INACTIVE) or NTFY(AS-ACTIVE) after ASP-UP from non-first ASP too,
>even it doesn't  reflect AS state change. Based on such NTFY the ASP can
>continue with AS-ACTIVE for example.
>Another less ultimate way (# 2) is to define the sending of
>NTFY(AS-INACTIVE) as optional and other NTFY as mandatory in all UA.
>And the simplest way (# 3) is just to follow the flow of the diagram at
the
>mail bottom. It in most cases does the NTFY(AS-INACTIVE) meaningless for
>ASP.

The current text indicates #3 above.

>Practically, we work today in way #3 in active-standby mode without
visible
>problems.
>Regards,
>Lev.

>                      Ken Morneault

>                      <kmorneau@cisco.         To:
<[email-masked]>
>                      com>                     cc:      [email-masked],

[email-masked],
>                      24/07/02 17:03           [email-masked]

>                                               Subject: Re: [Sigtran] I-D

ACTION:draft-ietf-sigtran-iua-imp-guide-01.txt

>
>
>
>
>
>Lev,
>
>Thanks for pointing this contradiction out.  I think it will be best to
>get the text the same (for consistency with other UAs) and to change
>the diagram.
>
>Regards,
>
>Ken
>
>At 10:01 AM 7/24/2002 +0300, [email-masked] wrote:
>
>>Hi Ken,
>>
>>I see the contradiction in IUA IG-01:
>>
>>the 3.17 says:
>>"A Notify message reflecting a change in the AS state MUST be sent
>>to all ASPs in the AS, except those in the ASP-DOWN state, with
>>appropriate Status Information and any ASP Identifier of the
>>failed ASP."
>>
>>from other side the "new" figures in 3.23 show the NTFY(AS-INACTIVE)
>>message sent also to an ASP before it declares itself as UP (see changes
>to
>>Sections 5.1.2, 5.1.3, 5.1.4).
>>
>>I think this NTFY may be sent after corresponding ASP UP  + small
addition
>>to 3.17: "A Notify message reflecting a current AS state MAY be sent to
>ASP
>>that transits from ASP-DOWN to ASP-INACTIVE state" :
>>
>>          SG                        ASP1                       ASP2
>>           |                         |                          |
>>           |<--------ASP Up----------|                          |
>>           |-------ASP Up Ack------->|                          |
>>           |                         |                          |
>>           |----NTFY(AS-INACTIVE)--->|                          |
>>           |                         |                          |
>>           |<-----------------------------ASP Up----------------|
>>           |----------------------------ASP Up Ack------------->|
>>           |---------------------NTFY(AS-INACTIVE)------------->|
>>           |                         |                          |
>>           |                         |                          |
>>           |<-------ASP Active-------|                          |
>>           |-----ASP Active Ack----->|                          |
>>           |                         |                          |
>>           |-----NTFY(AS-ACTIVE)---->|                          |
>>           |----------------------NTFY(AS-ACTIVE)-------------->|
>>
>>or to be unsent at all:
>>
>>          SG                        ASP1                       ASP2
>>           |                         |                          |
>>           |<--------ASP Up----------|                          |
>>           |-------ASP Up Ack------->|                          |
>>           |                         |                          |
>>           |----NTFY(AS-INACTIVE)--->|                          |
>>           |                         |                          |
>>           |<-----------------------------ASP Up----------------|
>>           |----------------------------ASP Up Ack------------->|
>>           |                         |                          |
>>           |                         |                          |
>>           |<-------ASP Active-------|                          |
>>           |-----ASP Active Ack----->|                          |
>>           |                         |                          |
>>           |-----NTFY(AS-ACTIVE)---->|                          |
>>           |----------------------NTFY(AS-ACTIVE)-------------->|
>>
>>Regards,
>>Lev
>
>
>
>
>
>
>_______________________________________________
>Sigtran mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/sigtran

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Ken Morneault <[email-masked]>
Date: Thu, 25 Jul 2002 12:10:11 -0400

Lev,

I'd prefer showing the complete message flow instead of
having the note.

Ken